<?php

namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\Controller\Report;

class EmissaoChequeController extends Report{

    protected $qr2Strategy;
    protected $environment;

    public function __construct($reportService, $qr2Strategy) {
        $this->qr2Strategy = $qr2Strategy;
        parent::__construct($reportService);
    }

    protected $reportMapping = array (
        'ModeloCheque' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'P_TESTE'   => 'P_TESTE',
                        'P_STLOCAL' => 'P_STLOCAL',
                        'P_CODREDU' => 'P_CODREDU',
                        'P_NUMERO'  => 'P_NUMERO'
                    )
            )
    );

}